<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#if view.getTitle()??>
<div style="display:none;" class="content__title">
    <h1> ${view.getTitle()}</h1>
</div>
</#if>
 
<div nz-row [nzGutter]="16"  [ngClass]="{'ibiz-modal-view': isModal()}">
    <div nz-col [nzMd]="24">
        <nz-card [nzBordered]="false">
            <ng-template #title>
                <#if view.isShowCaptionBar() && view.getCaption()?? && view.getCaption() != ""><span>${view.getCaption()}</span></#if>
            </ng-template>
     
            
            <#if chart??>
            <ng-template #body>

                <#ibizinclude>../../@MACRO/VIEW_QUICK_SEARCH.ftl</#ibizinclude>
                
                <#if searchform??>
                <#assign searchForm = view.getControl('SEARCHFORM')/>
                <div *ngIf="${searchForm.name}.$opened">
                    ${searchform.code}
                </div> 
                </#if>
                
                ${chart.code}
            </ng-template>
            </#if>
        </nz-card>
    </div>
</div>