<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

<nz-layout class="layout">
        <nz-content>
          <nz-layout class="tree-exp-view">
            <#if treeexpbar??>
            ${treeexpbar.code}
            </#if>
            
            <nz-content >
                <#--  选择视图面板  -->
                <#if view.hasPSControl('pickupviewpanel')??>
                <#assign viewitems = view.getPSControls("pickupviewpanel",10)>
                <div >
                    <#list viewitems as viewitem>
                    <#if viewitem.getPSAppDEView().isEmbeddedView()>
                    <app-${ngfilename('${viewitem.getPSAppDEView().codeName}')} [parentData]="${viewitem.name}.$parentData" [multiselect]="true" [viewParam]="viewParam" [modalViewParam]="modalViewParam" (allData)="${viewitem.name}.onAllData($event)"
                    (selectionChange)="${viewitem.name}.onSelectionChange($event)" (dataActivated)="${viewitem.name}.onDataActivated($event)"></app-${ngfilename('${viewitem.getPSAppDEView().codeName}')}>
                    </#if>
                    </#list>
                </div>
                </#if>
                
            </nz-content>

            <nz-sider [nzWidth]="340" style="height: 100%px;">
                <div style="position: absolute;top: 0px;width: 300px;bottom: 20px;right: 0px;border: 1px solid #e9e9e9;">
                    <div style="width: 40px;position: absolute;top:40%;left: -40px;">
                        <div class="buttons">
                            <button nz-button [title]="MPickupResult.$onRightText" [nzType]="'primary'" [nzSize]="'default'" [ngClass]="{'disabled': MPickupResult.$curSelecttions.length === 0}"
                                (click)="MPickupResult.onRightClick()">
                                <i class="anticon anticon-right"></i>
                            </button>
                            <button nz-button [title]="MPickupResult.$onLeftText" [nzType]="'primary'" [nzSize]="'default'" [ngClass]="{'disabled': MPickupResult.$resSelecttions.length === 0}"
                                (click)="MPickupResult.onLeftClick()">
                                <i class="anticon anticon-left"></i>
                            </button>
                            <button nz-button [title]="MPickupResult.$onAllRightText" [nzType]="'primary'" [nzSize]="'default'" (click)="MPickupResult.onRightAllClick()">
                                <i class="anticon anticon-double-right"></i>
                            </button>
                            <button nz-button [title]="MPickupResult.$onAllLeftText" [nzType]="'primary'" [nzSize]="'default'" (click)="MPickupResult.onLeftAllClick()">
                                <i class="anticon anticon-double-left"></i>
                            </button>

                        </div>
                    </div>

                    <div class="mpicker-select">
                        <div *ngFor="let item of MPickupResult.$selections" (click)="MPickupResult.resultSelect(item)"  (dblclick)="MPickupResult.dataActivated(item)"  [ngClass]="{'select': item.select}">
                            <span>{{item.srfmajortext}}</span>
                        </div>
                    </div>
                </div>
            </nz-sider>

          </nz-layout>
        </nz-content>
      </nz-layout>

<div class="mb-md text-right ibiz-pickup-view-bottom">
    <ng-container>
        <button nz-button [nzType]="'primary'" [nzSize]="'large'" [ngClass]="{'disabled': MPickupResult.$selections.length === 0}" class="ml-sm" (click)="onClickOkButton()">{{$okBtnText}}</button>
    </ng-container>
    <ng-container>
        <button nz-button [nzType]="'default'" [nzSize]="'large'" class="ml-sm" (click)="onClickCancelButton('onCancel')">{{$cancelBtnText}}</button>
    </ng-container>
</div>