<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#if view.getTitle()??>
<div style="display:none;"  class="content__title">
    <h1>${view.getTitle()}</h1>
</div>
</#if>

<#if toolbar??>
<div *ngIf="$isShowToolBar" class="ibiz-navigation-toolbar" [ngClass]="{'full_content_toolbar': !$ibizAppService.getFullScreen()}">
    ${toolbar.code}
</div>
</#if>

<nz-layout class="layout">
    <nz-content>
      <nz-layout class="tree-exp-view">
        <#if drbar??>
        ${drbar.code}
        </#if>
        
        <nz-content>
            <#if form??>
            <div nz-row [nzGutter]="24" [ngClass]="{'ibiz-show': $selectIndex === 0, 'ibiz-hide': $selectIndex !== 0}" >
                <div nz-col [nzMd]="24" <#if view.isHideEditForm()> style="display: none;"</#if>>
                    <nz-card [nzBordered]="false">
                            ${form.code}
                    </nz-card>
                </div>
            </div>
            </#if>
            <div [ngClass]="{'ibiz-show': $selectIndex !== 0, 'ibiz-hide': $selectIndex === 0}">
                <router-outlet></router-outlet>
            </div>
        </nz-content>
      </nz-layout>
    </nz-content>
  </nz-layout>