<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>
<nz-layout class="layout">
    <nz-content>
      <nz-layout class="tree-exp-view">
        <#if treeexpbar??>
        ${treeexpbar.code}
        </#if>
        
        <nz-content >
            <#--  选择视图面板  -->
            <#if view.hasPSControl('pickupviewpanel')??>
            <#assign viewitems = view.getPSControls("pickupviewpanel",10)>
            <div >
                <#list viewitems as viewitem>
                <#if viewitem.getPSAppDEView().isEmbeddedView()>
                <app-${ngfilename('${viewitem.getPSAppDEView().codeName}')} [parentData]="${viewitem.name}.$parentData" [viewParam]="viewParam" [modalViewParam]="modalViewParam" [modalZIndex]="modalZIndex" [multiselect]="false" (selectionChange)="${viewitem.name}.onSelectionChange($event)"  (dataActivated)="${viewitem.name}.onDataActivated($event)"></app-${ngfilename('${viewitem.getPSAppDEView().codeName}')}>
                </#if>
                </#list>
            </div>
            </#if>
            
        </nz-content>
      </nz-layout>
    </nz-content>
  </nz-layout>

<div class="mb-md text-right ibiz-pickup-view-bottom">
    <ng-container>
        <button nz-button [nzType]="'primary'" [nzSize]="'large'" [ngClass]="{'disabled': !$isSelect }" class="ml-sm" (click)="onClickOkButton()">{{$okBtnText}}</button>
    </ng-container>
    <ng-container>
        <button nz-button [nzType]="'default'" [nzSize]="'large'" class="ml-sm" (click)="onClickCancelButton('onCancel')">{{$cancelBtnText}}</button>
    </ng-container>
</div>