<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#if view.getTitle()??>
<div style="display:none;"  class="content__title">
    <h1>${view.getTitle()}</h1>
</div>
</#if>

<#if toolbar??>
<div *ngIf="$isShowToolBar" class="ibiz-navigation-toolbar" [ngClass]="{'full_content_toolbar': !$ibizAppService.getFullScreen()}">
    ${toolbar.code}
</div>
</#if>

<div nz-row [nzGutter]="24">
    <div nz-col [nzMd]="24">
        <nz-card [nzBordered]="false">
            <#--      关系分页部件         -->
            <#if view.hasPSControl("drtab")>
            <#assign drtab = view.getPSControl("drtab")>
            <nz-tabset [(nzSelectedIndex)]="${drtab.name}.$activeTabIndex">
                <#list drtab.getRootItem().getAllItems() as dritem>
                <#if (dritem_index == 0)>
                <#if form??>
                <nz-tab (nzSelect)="${drtab.name}.onTabSelectionChange({ index: 0, name: 'form' })" <#if view.isHideEditForm()> style="display: none;"</#if>>
                    <ng-template #nzTabHeading>
                            ${dritem.text}
                    </ng-template>
                    <span>
                        ${form.code}
                    </span>
                </nz-tab>
                </#if>
                <#else>
                <nz-tab (nzSelect)="${drtab.name}.onTabSelectionChange({ index: ${dritem_index?c}, name: '<#if dritem.getDRViewId()==''>${dritem.getId()?lower_case}<#else>${dritem.getDRViewId()?lower_case}</#if>' })" [nzDisabled]="drtab.$tabs.<#if dritem.getDRViewId()==''>${dritem.getId()?lower_case}<#else>${dritem.getDRViewId()?lower_case}</#if>.disabled">
                    <ng-template #nzTabHeading>
                            ${dritem.text}
                    </ng-template>
                    <span>
                    </span>
                </nz-tab>
                </#if>
                </#list> 
            </nz-tabset>
            
            <ng-contaniner *ngIf="${drtab.name}.$activeTabIndex !== 0 ">
                <router-outlet></router-outlet>
            </ng-contaniner>
            </#if>

        </nz-card>
    </div>
</div>