<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '@shared/shared.module';

import { IBizComponentsModule } from 'app/ibizsys/components/ibiz-components.module';

import { ${view.codeName}Component } from './${viewname}';
import { ${view.codeName}ModalService } from './${viewname}-modalservice';

<#assign viewitems=view.getPSControls("pickupviewpanel",10)>
<#list viewitems as viewitem>
import { ${viewitem.getPSAppDEView().codeName}Module } from 'app/pages/${ngfilename('${viewitem.getPSAppDEView().getPSAppModule().codeName}')}/${ngfilename('${viewitem.getPSAppDEView().codeName}')}/${ngfilename('${viewitem.getPSAppDEView().codeName}')}.module';
import { ${viewitem.getPSAppDEView().codeName}Component } from 'app/pages/${ngfilename('${viewitem.getPSAppDEView().getPSAppModule().codeName}')}/${ngfilename('${viewitem.getPSAppDEView().codeName}')}/${ngfilename('${viewitem.getPSAppDEView().codeName}')}';
</#list>

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    IBizComponentsModule,
    <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
    <#list viewitems as viewitem>
    ${viewitem.getPSAppDEView().codeName}Module,
    </#list>
  ],
  exports: [
    ${view.codeName}Component
  ],
  declarations: [
    ${view.codeName}Component,
  ],
  entryComponents: [
  	${view.codeName}Component,
  ],
  providers: [
    ${view.codeName}ModalService,
  ]
})
export class ${view.codeName}Module {}