<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#--    菜单是否显示     -->
<#if view.getMainMenuAlign()?? && view.getMainMenuAlign() == 'NONE'>
<div class="index_fullscreen">
    <div class="index_header">
        <nz-breadcrumb>
            <ng-container *ngFor="let data of $ibizAppService.$activatedRouteDatas">
                <ng-container *ngIf="data.showcaption">
                    <nz-breadcrumb-item>
                        <a (click)="navigationLink(data)" rouzterLinkActive="active" [attr.title]="data.fullcaption">{{data.caption}}</a>
                    </nz-breadcrumb-item>
                </ng-container>
            </ng-container>
        </nz-breadcrumb>
    </div>
    <div class="index_fullscreen_content">
        <router-outlet></router-outlet>
    </div>
</div>
<#else>
<ng-container *ngIf="!$ibizAppService.getFullScreen()">
    <app-sidebar class="aside"></app-sidebar>
</ng-container>
<section class="content" [ngClass]="{'ibiz-fullscreen': $ibizAppService.getFullScreen()}">
    <!-- <reuse-tab></reuse-tab> -->
    <div class="ibiz-two-level-navigation">
        <nz-breadcrumb>
            <ng-container *ngFor="let data of $ibizAppService.$activatedRouteDatas">
                <ng-container *ngIf="data.showcaption">
                    <nz-breadcrumb-item>
                        <a (click)="navigationLink(data)" rouzterLinkActive="active" [attr.title]="data.fullcaption">{{data.caption}}</a>
                    </nz-breadcrumb-item>
                </ng-container>
            </ng-container>
        </nz-breadcrumb>
    </div>
    <div class="ibiz-navigation-space"></div>
    <div class="ibiz-navigation-contant">
        <router-outlet></router-outlet>
    </div>
</section>
</#if>